stages:
  - build
  - deploy

criar_imagem:
  stage: build
  tags:
    - projeto1
  script:
    - docker build -t cristhofermian/projeto1:1.0 site/.
    - docker push cristhofermian/projeto1:1.0

executar_imagem:
  stage: deploy
  needs:
    - criar_imagem
  tags:
    - projeto1
  script:
    - docker run -dti --name projeto1_server1.0 -p 80:80 cristhofermian/projeto1:1.0